<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.yida.data.school.exam.mapper.CoreExaminationPublishMapper">
    <resultMap id="BaseResultMap" type="com.yida.data.common.core.entity.exam.CoreExaminationPublish">
        <id column="id" property="id" jdbcType="INTEGER"/>
        <result column="create_date" property="createDate" jdbcType="TIMESTAMP"/>
        <result column="core_examination_id" property="coreExaminationId" jdbcType="INTEGER"/>
        <result column="receipt" property="receipt" jdbcType="VARCHAR"/>
        <result column="comment" property="comment" jdbcType="VARCHAR"/>
        <result column="comment_content" property="commentContent" jdbcType="VARCHAR"/>
        <result column="school_block" property="schoolBlock" jdbcType="INTEGER"/>
        <result column="teacher_block" property="teacherBlock" jdbcType="INTEGER"/>
        <result column="parent_block" property="parentBlock" jdbcType="INTEGER"/>
        <result column="student_block" property="studentBlock" jdbcType="INTEGER"/>
        <result column="joint_rank_block" property="jointRankBlock" jdbcType="INTEGER"/>
        <result column="school_rank_block" property="schoolRankBlock" jdbcType="INTEGER"/>
        <result column="grade_rank_block" property="gradeRankBlock" jdbcType="INTEGER"/>
        <result column="class_rank_block" property="classRankBlock" jdbcType="INTEGER"/>
        <result column="total_score_block" property="totalScoreBlock"/>
    </resultMap>
</mapper>